var viewHtml = "init.html";
var searchStrs = "";
var tmpsearchStrs = "";
$('#tab1').on('click', function() {
	$('.sidebar-collapse').css("display", "block");
	$('.search').css("display", "none");
	$('#tab1').addClass("select");
	$('#tab2').removeClass("select");
	tmpsearchStrs = searchStrs;
	searchStrs = "";
})
$('#tab2').on('click', function() {
	$('.sidebar-collapse').css("display", "none");
	$('.search').css("display", "block");
	$('#tab1').removeClass("select");
	$('#tab2').addClass("select");
	searchStrs = tmpsearchStrs;
})
$('#searchbutton').on('click', function() {
	fncDoSearch();
})

$("#searchTextbox").keypress(function(e){
	if(e.which != 13){
		return;
	}
	fncDoSearch();
});

function fncDoSearch() {
	var strSearchTexts = $('#searchTextbox').val();
	if(strSearchTexts == ""){
		return;
	}
	$('.sidebar-search').css("display","");
	var strSearchTexts = $('#searchTextbox').val();
	strSearchTexts = escapeSearchText(strSearchTexts);
	// 検索条件をエスケープ
	showSearchResult(strSearchTexts);
}

// 検索条件をエスケープ
function escapeSearchText(strSearchTexts){
		var regexpEscapeJson = /([$()\-^\\\|\[\]{},:+*.?])/g;
		if (regexpEscapeJson.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeJson, "\\$1");
		}
		var regexpEscapeHtmlAmp = /(&)/g;
		if (regexpEscapeHtmlAmp.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlAmp, "&amp;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlAmp, "&amp;");
		}
		var regexpEscapeHtmlLt = /(<)/g;
		if (regexpEscapeHtmlLt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlLt, "&lt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlLt, "&lt;");
		}
		var regexpEscapeHtmlGt = /(>)/g;
		if (regexpEscapeHtmlGt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlGt, "&gt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlGt, "&gt;");
		}
		return strSearchTexts;
}

function showSearchResult(strSearchTexts){
	// 検索先情報 (search.json) の取得
	var s = eval(search);
	// 検索先情報分ループ
	var iLoopLength = s.length;
	var result = '<div id="id_search_results" style="background-color: rgb(255, 255, 255);height: calc(87vh - 170px);">';
	var resultCount = 0;
	var searchTexts = createSearchText(strSearchTexts);
	for (var i = 0; i < iLoopLength; i++) {
		// 検索先情報の取得
		var body = s[i].body;		// 本文
		// 本文が空ならスキップ
		if (!body || !searchBody(body,strSearchTexts)) {
			continue;
		}
		result += createSearchResultDiv(s[i], searchTexts)
		resultCount++;
	}
	result += "</div>";
	var viewResult ="<div id=\"id_search_info\"> <span style=\"color: #cf4e32;\">" + resultCount + "</span> " + resultStr + "</div>";
	viewResult += result;
	$(".sidebar-search").html(viewResult);
}

function searchBody(body, strSearchTexts){
	var resultBoolean = true;
	body = body.toLowerCase();
	var searchTexts = createSearchText(strSearchTexts);
	$.each(searchTexts, function(index, value){
		if(value != " " && !body.match(value.replace("#space", " "))){
			resultBoolean = false;
			return false;
		}
	})
	return resultBoolean;
}

function createSearchText(strSearchTexts){
	strSearchTexts = strSearchTexts.toLowerCase();

	//ダブルクォーテーションの中の文字はスペースがあっても分割しない。
	strSearchTexts = strSearchTexts.replace(/"(.*?) (.*?)"/,"$1#space$2").replace(/　/," ");
	var txt = strSearchTexts.split(" ");
	//空要素と重複要素を除去
	var arr2 = txt.filter(function(s){return s !== '';});
	var arr3 = arr2.filter(function (x, i, self) {
		return self.indexOf(x) === i;
	});
	return arr3;
}

//検索結果のDivを作成します。
function createSearchResultDiv(target, searchTexts){
	searchStrs = searchTexts;
	var arrResults = new Array();
	arrResults.push("<div class=\"search_topic_title\">");
	arrResults.push("&nbsp;");

	arrResults.push("<a href=\"javascript:changeHtml('" + target.HTMLFileName + "');\">");
	arrResults.push(target.title);
	arrResults.push("</a>");

	arrResults.push("</div>");
	arrResults.push("<div class=\"search_topic_summary\">");
	arrResults.push(markingColor(searchTexts, target.body));
	arrResults.push("</div>");
	return arrResults.join("");

}

//targetで指定した文字をハイライトします。
function markingColor(target, body){
	var nMarkerColor = 0;
	var strMarkerColor = "";
	var strMarkerEndColor = "";
	var baseLength = body.length;
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		if(target[k] != " "){
			switch (nMarkerColor) {
				case 0:
					strMarkerColor = String.fromCharCode(0x2080);
					break;
				case 1:
					strMarkerColor = String.fromCharCode(0x2081);
					break;
				case 2:
					strMarkerColor = String.fromCharCode(0x2082);
					break;
				case 3:
					strMarkerColor = String.fromCharCode(0x2083);
					break;
				case 4:
					strMarkerColor = String.fromCharCode(0x2084);
					break;
			}

			var targetRegexp = new RegExp(target[k],'gi');
			var matchList = body.match(targetRegexp);
			var nonDuplicationlist = matchList.filter(function (x, i, self) {
				return self.indexOf(x) === i;
			});
			for (var t of nonDuplicationlist) {
				body = body.replaceAll(t,strMarkerColor +  t + String.fromCharCode(0x2085))
			}
			
			nMarkerColor++;
			if(nMarkerColor > 4){
				nMarkerColor = 0;
			}
		}
	}
	
	var resultBody = "";
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		var strcount = body.search(target[k]);
		var baseBody = body;
		var startCount = strcount - 21;
		if(startCount < 0){
			startCount = 0;
		}
		targetBody = baseBody.substring(startCount, strcount + target[k].length + 21);
		if(strcount - 20 > 0){
			targetBody = "..." + targetBody;
		}
		if(strcount + target[k].length + 20 < baseLength){
			targetBody = targetBody + "...";
		}
		resultBody += targetBody;
	}
	resultBody = resultBody.replace(/\u2080/g, "<span class=\"backA\">");
	resultBody = resultBody.replace(/\u2081/g, "<span class=\"backB\">");
	resultBody = resultBody.replace(/\u2082/g, "<span class=\"backC\">");
	resultBody = resultBody.replace(/\u2083/g, "<span class=\"backD\">");
	resultBody = resultBody.replace(/\u2084/g, "<span class=\"backE\">");
	resultBody = resultBody.replace(/\u2085/g, "</span>");

	return resultBody;
}

function changeHtml(htmlName) {
	$('#frame').attr("src", htmlName);
	viewHtml = htmlName;
	$('.topic').removeClass('thisTopic');
    $('#' + htmlName.replace(".html", "")).addClass('thisTopic');
    if(window.innerWidth <768){
   		$('nav.navbar-side').removeClass('open').addClass("in");
   		$('button.navbar-toggle').removeClass('open').addClass("collapsed")
	}
}
$('#frame').load(function(){
	$('#frame')[0].contentWindow.postMessage(searchStrs, "*");	// iframeの場合
});
var search=[{topicId:"guid-b177aad9-8190-7d6f-a080-f5542b15367a",body:"目次はじめに目次（本ページ）はじめに動作環境用語集用語集機能概要FormPDF Makerの機能概要フォーム変換の注意事項各種設定Office設定設定PDF変換の詳細設定アドイン設定ツールフォーム変換フォーム付PDF変換の実行オブジェクトの挿入外観・フォントの変更サイズ・配置の変更ラジオボタンのグループ化プロパティ・選択肢の編集オブジェクト名チェックエラーコードFormPDF Makerのエラー制限・注意事項FormPDF Makerの制限・注意事項",title:"目次",HTMLFileName:"目次_guid-b177aad9-8190-7d6f-a080-f5542b15367a_0.html"},{topicId:"guid-c4121d8e-6689-4756-a26c-dee3e1a35365",body:"はじめに[[ヘルプの概要1]] [[ヘルプの概要2]] 注意事項本製品は、株式会社スカイコム（以下、当社）が開発した製品です。 当社の書面による事前の許可なしに本ヘルプおよび本製品について複製・保存・転送を行うことは、いかなる形式・手段であっても禁止されています。 本製品を輸出する場合には、外国為替、外国貿易法および米国の輸出管理関連法規などの規制をご確認の上、必要な手続きをお取りください。 免責事項本ヘルプは、本ヘルプに記載される内容があくまでも参照用としてのみ用いられること、製品の改良等に伴い予告なしに変更されることを前提として提供されるものです。 本ヘルプにおける誤りや欠落、不正確な記述について、当社は一切責任を負いません。 当社は本ヘルプが提供する情報について、その完全性、正確性、有用性、特定目的適合性、第三者の権利の非侵害性等を一切保証せず、またこれらを調査する義務を負わないものとします。 当社はライセンス使用許諾契約書に従って製品保証を提供しており、本ヘルプに基づく保証は行っておりません。 したがって、本ヘルプの利用あるいは利用できなかったことにより生じたいかなる損害についても、当社は義務や責任を負うものではありません。 予めご了承ください。 最終更新日[[最終更新日]] 最新版は以下のURLから取得できます。 https://www.skycom.jp/support/product_manual/  ",title:"はじめに",HTMLFileName:"はじめに_guid-c4121d8e-6689-4756-a26c-dee3e1a35365_1.html"},{topicId:"guid-72d28f1d-a5bc-ff56-8e69-b8d977dd3567",body:"動作環境以下に示すすべての項⽬は、ベンダー、メーカーの延⻑サポート期間に準拠します。例えば、延⻑サポート期間まで終了したOSは当社製品でもサポート終了となります。 ただし、保守契約期間中は当社のサポート規約に準じます。 FormPDF Makerは、以下の動作環境でご利用ください。 OSMicrosoft Windows 10 32-bit / 64-bit Microsoft Windows 11 64-bitOSの言語日本語のみMicrosoft .NET.NET Framework 4.6.2と互換性のあるバージョン .NET 5と互換性のあるバージョン 対応アプリケーションMicrosoft Office Word / Excel / PowerPoint 2016 Microsoft Office Word / Excel / PowerPoint 2019 Microsoft Office Word / Excel / PowerPoint 2021 Microsoft 365 / Office 365 (Word / Excel / PowerPoint) PDF変換ドライバーSkyPDF SmartWorkerのSkyPDF Pro Driver Ver.8.0.0以降 使用できるのは「SkyPDF Pro Driver」のみです。 SkyPDF V4 Driverや、(1)(2)などの連番が付いたSkyPDF Pro Driverは使用できません。",title:"動作環境",HTMLFileName:"FormPDF Makerの動作環境_guid-72d28f1d-a5bc-ff56-8e69-b8d977dd3567_2.html"},{topicId:"guid-cff545a3-ba85-a28b-57fb-19133127e7c1",body:"用語集本書における主な用語の定義を説明します。 本書では、一般的な用法や解釈とは異なる意味で使用している用語もあります。本書をご使用の際の定義としてご理解ください。 英数字ExcelMicrosoft Office Excelを指す。FormPDF MakerOfficeのリボンに［FormPDF Maker］タブを追加するアドイン。 各Officeアプリケーションからフォーム付PDFを作成することができる。OfficeWord、Excel、PowerPointの３つを指す。Officeアドイン機能Officeのリボンに［SkyPDF］タブを追加するアドイン。 しおりとリンクが付いたBookmark PDFと、しおりやリンクの無いNormal PDFを作成することができる。Office文書本ヘルプにおいては、Word、Excel、PowerPointで作成されたPDF変換前の文書ファイルの総称。PowerPointMicrosoft Office PowerPointを指す。SkyPDF Pro Driver本製品（SkyPDF Viewerを除く）が提供する仮想プリンター。 プリンターに指定して印刷を実行することで、PDFファイルを作成することができる。SkyPDF Professional当社が販売しているPDF作成・閲覧・編集が可能なソフト。SkyPDF SmartWorkerSkyPDF Professionalのオプション製品。 フォームPDFの作成（FormPDF Maker）やフォームデータの抽出、リッチメディアの追加などの機能を備えている。WordMicrosoft Office Wordを指す。五十音順アクセシビリティ身体に障害のある方や高齢者の方が、簡単にPDF文書の情報やメニューにアクセスできるようにする機能。アドインソフトウェアへ機能を追加するプログラムのこと。書き出し値PDF上にあるフォームのデータをCSVやXMLに抽出した際、選択肢が選択状態にあるとき出力されるよう設定されている値。 例えば、「Yes」が選択されているときは「1」、「No」が選択されているときは「0」が出力されるよう設定されている場合、「1」と「0」のこと。しおり目次のように特定のページ位置へのリンクを一覧にして表示する機能。セキュリティーの設定ファイルの内容を暗号化することによって、閲覧や編集、印刷等を閲覧者別に制限する設定のこと。フォーム入力フォームのこと。ユーザーから対話形式で情報を収集するための機能。フォームオブジェクトFormPDF Makerを使ってOffice文書上に追加された、フォームフィールドに変換される図形オブジェクトのこと。 本ヘルプにおいては「オブジェクト」と表記する場合もある。フォームフィールドPDF上に作成された、フォーム個々の入力欄のこと。 本ヘルプにおいては「フィールド」と表記する場合もある。プリンターとスキャナーOSにインストールされているプリンターの一覧。 スタートメニューの［設定］－［（Bluetoothと）デバイス］－［プリンターとスキャナー］から開く。見出し「見出し 1」「見出し 2」「見出し 3」のように、スタイル名に「見出し」と付くスタイルが設定されたWord文書中のテキスト。 Wordの［ナビゲーション ウィンドウ］の［見出し］で確認できる。",title:"用語集",HTMLFileName:"用語集_guid-cff545a3-ba85-a28b-57fb-19133127e7c1_3.html"},{topicId:"guid-826dcace-7519-93f2-ac3d-90fa2a3ef471",body:"FormPDF Makerの機能概要SmartWorkerFormPDF MakerはMicrosoft Office Word / Excel / PowerPoint用アドインです。 FormPDF Makerを利用すれば、各Officeアプリケーションのリボンに［FormPDF Maker］タブが追加され、入力フォーム付きのPDF（以下、フォーム付PDF）を作成することができます。 フォーム付PDFは、注意事項と変換の流れを確認して作成してください。    項目一覧 Word / Excel / PowerPointの「FormPDF Maker」タブの設定と機能は下表のとおりです。  項目概要Word設定リンクリンクを有効にする。しおり見出し情報をもとにしおりを作成する。Excel設定選択したシート選択しているシートのみPDF変換する。しおりシート名をもとにしおりを作成する。PowerPoint設定用紙に合わせて拡大/縮小用紙サイズに合わせてPDF変換する。リンクリンクを有効にする。しおりスライドタイトルをもとにしおりを作成する。設定PDF変換後ファイルを開くオンの場合、［フォーム付PDF］からPDF変換に成功すると、拡張子（.pdf）に関連付けられたアプリケーションで自動的に開く。PDFファイル保存ダイアログ表示オンの場合、名前を付けて保存ダイアログを表示し、PDFファイルの保存先とファイル名を指定できる。 オフの場合、変換元であるOffice文書と同じフォルダーに同名で保存される。フォーム変換フォーム付PDFOffice文書をフォーム付PDFに変換する。テキストボックステキストボックスに変換されるオブジェクトをOffice文書に追加する。リストボックスリストボックスに変換されるオブジェクトをOffice文書に追加する。コンボボックスコンボボックスに変換されるオブジェクトをOffice文書に追加する。チェックボックスチェックボックスに変換されるオブジェクトをOffice文書に追加する。ラジオボタンラジオボタンに変換されるオブジェクトをOffice文書に追加する。プッシュボタンプッシュボタンに変換されるオブジェクトをOffice文書に追加する。フォーム一覧と編集文書内のフォームオブジェクトの一覧と、プロパティや選択肢の編集ウィンドウを開く。オブジェクト名チェックオブジェクト名の重複をチェックする。グループ化Officeの［グループ化］機能。配置Officeの［配置］機能。サイズを合わせる選択しているオブジェクトのサイズを合わせる。フォームの種類 本機能で作成できるフォームフィールドは、下表のとおりです。 下表に無いフォームには未対応です。 テキストボックス 文字や数字などを入力するためのフォームフィールド。リストボックス 作成者が事前に設定した選択肢の一覧から、１つまたは複数を選択するためのフォームフィールド。コンボボックス 作成者が事前に設定した複数の選択肢から１つを選択するためのフォームフィールド。チェックボックス 個々にオンまたはオフの状態を持つフォームフィールド。ラジオボタン チェックボックスと同じくオンまたはオフの状態を持つフォームフィールド。 通常は複数のラジオボタンをグループ化することで、グループ内のうち１つのみONにできるよう設定する。プッシュボタン 設定したアクションを実行するためのフォームフィールド。 FormPDF Makerではアクション内容を設定することはできない。   ",title:"FormPDF Makerの機能概要",HTMLFileName:"FormPDF Makerの機能概要_guid-826dcace-7519-93f2-ac3d-90fa2a3ef471_4.html"},{topicId:"guid-c767871e-e3d3-cb3b-4bc6-0703733f096b",body:"フォーム変換の注意事項SmartWorkerFormPDF Makerを使ってフォーム付PDFを作成する際は、以下の点に注意してください。 Excelにおいて、プロパティで［オブジェクトを印刷する］をオフにしているフォームオブジェクトは、印刷されないためフォームフィールドに変換できません。 Wordにおいては、表内にカーソルがあると正常にオブジェクトを挿入できない場合があります。その場合は、一度表の外に挿入したものを移動して配置してください。Wordにおいては、フォームオブジェクトの「図形の塗りつぶし」を「塗りつぶしなし」に設定しても、PDF変換後のフォームフィールドには透過が適用されない場合があります。以下のような場合は、正しいサイズのフォームフィールドに変換できないことがあります。フォームオブジェクトのサイズが大きい。用紙サイズが大きい。Office文書上に以下のようなフォームオブジェクトが存在すると、PDF変換に失敗します。印刷範囲外に配置されている。非表示が設定されている。PowerPointは変換できますが、非表示のオブジェクトも表示されます。本製品は、同名フィールドがあるフォーム付PDFへの変換や表示・編集に対応していません。そのため、PDF変換後フィールド名となるフォームオブジェクト名や、グループ化されたラジオボタンのグループ名は重複できません。オブジェクト名の重複は［オブジェクト名チェック］で確認できます。 なお、グループ化されたラジオボタンはグループ名がフィールド名となり、各オブジェクト名が書き出し値となるため、ラジオボタンのオブジェクト名はグループが異なれば重複可能です。フォームオブジェクトが以下のような状態の場合、フォーム付PDFは正常に変換されない場合があります。複数のページにまたがって配置されている。フォームオブジェクト同士の距離が近い。フォームオブジェクトの数が極端に多い。フォームオブジェクトの色・枠線・フォント・文字揃え以外の要素が編集されている（回転や図形の効果など）。フォームオブジェクトに他のオブジェクト（画像、図形など）が重なっている。複数のフォームオブジェクトが重なっている。フォームオブジェクトを追加するボタンを連続してクリックすると、クリックのたびに同じ位置に重なってオブジェクトが追加される場合があります。［フォーム一覧と編集］で、フォームオブジェクトが意図せず重なっていないか、注意して確認してください。Excel上でセルの枠線にフォームオブジェクトの位置を揃えても、PDF変換すると僅かにズレが生じます。これはExcelの仕様によるもので、Excelから直接プリンターに紙印刷した場合も同様です。ズレが気になる場合は、セルの枠線とフォームオブジェクトを重ねない、並べないなど、構成要素を工夫する必要があります。フォーム付PDFへの変換は、１ファイルずつ行ってください。変換処理が終わらないうちに他のファイルのフォーム付PDF変換を行うなど、複数の変換処理を同時に実行すると正しくフォーム付PDFに変換できないことがあります。     ",title:"フォーム変換の注意事項",HTMLFileName:"フォーム変換の注意事項_guid-c767871e-e3d3-cb3b-4bc6-0703733f096b_5.html"},{topicId:"guid-365464e0-6e1c-7876-8cea-a90f7a2b5cf0",body:"Office設定SmartWorkerFormPDF Makerには、起動しているOfficeアプリケーションの種類によって「Word設定」グループ、「Excel設定」グループ、「PowerPoint設定」グループがあります。 これらの設定項目についてそれぞれ説明します。 リンク Word設定とPowerPoint設定の［リンク］のチェックをオンにすると、Office文書に設定されている以下のリンクはPDF上でも引き続き機能するよう変換されます。 ファイル内リンク（目次含む）Webページへのリンク別ファイルへのリンク    メールアドレスしおり Word設定、Excel設定、PowerPoint設定の［しおり］のチェックをオンにすると、しおり付きのPDFに変換します。 「しおり」とは、目次のように特定のページ位置へのリンクを一覧にして表示する機能です。 何をもとに「しおり」を作成するかは、アプリケーションによって異なります。 Wordの場合 見出し情報をもとに「しおり」を作成します。 文書中のテキストに「見出し 1」「見出し 2」「見出し 3」などの見出しスタイルを適用して、「しおり」となる見出しを作成してください。 作成した見出しは、Wordの［ナビゲーション ウィンドウ］の［見出し］で確認できます。 Excelの場合 １シート毎に「しおり」を作成します。 PowerPointの場合 タイトルをもとにスライド毎に「しおり」を作成します。 タイトルは、PowerPointの［アウトライン表示］で確認できます。 タイトルの無いスライドは、「スライド番号 ｎ」をタイトルとして作成されます。選択したシート Excelの［選択したシート］のチェックをオンにすると、選択したシートのみをPDFに変換できます。 シートの複数選択は、キーボードの［Ctrl］キーまたは［Shift］キーを押しながら、印刷したいシートをマウスクリックすることで可能です。  用紙に合わせて拡大/縮小 PowerPointの［用紙に合わせて拡大/縮小］のチェックをオンにすると、既定の用紙サイズに合わせて拡縮を行います。 （例） PowerPointで表示したスライド   ［用紙に合わせて拡大/縮小］のチェックをオフでPDF変換した場合   ［用紙に合わせて拡大/縮小］のチェックをオンでPDF変換した場合    ",title:"Office設定",HTMLFileName:"Office設定_guid-365464e0-6e1c-7876-8cea-a90f7a2b5cf0_6.html"},{topicId:"guid-5de9c20c-51e5-b0b8-3797-1289bbb88263",body:"設定SmartWorkerFormPDF Makerで作成したフォーム付PDFの保存先や変換直後の動作は、「設定」グループの設定状態によって異なります。 PDF変換後ファイルを開く ［PDF変換後ファイルを開く］のチェックがオンの場合、PDF変換に成功すると、拡張子（.pdf）に関連付けられたアプリケーションで自動的に開きます。 PDFファイル保存ダイアログ表示 ［PDFファイル保存ダイアログ表示］のチェックがオンの場合、PDF変換前に名前を付けて保存ダイアログが表示され、PDFファイルの保存先とファイル名を指定することができます。 チェックがオフの場合、変換元であるOffice文書と同じフォルダーに同名で保存されます。",title:"設定",HTMLFileName:"設定_guid-5de9c20c-51e5-b0b8-3797-1289bbb88263_7.html"},{topicId:"guid-54e80e11-468d-d466-0c38-49fd2907c051",body:"PDF変換の詳細設定SmartWorkerFormPDF MakerはSkyPDF Pro Driverを使ってPDF変換を行います。 圧縮、フォントの埋め込み、セキュリティーなどの設定は、SkyPDF Pro Driverの設定画面から設定する必要があります。  起動方法 SkyPDF Pro Driver設定画面は以下から起動してください。 コンテキストメニュー・アドインの設定の［印刷設定］SkyPDFアドインのSettingアイコンスタートメニューの［設定］－［（Bluetoothと）デバイス］－［プリンターとスキャナー］－［SkyPDF Pro Driver］－［印刷設定］など適用されない設定項目 本機能においては、以下の設定はSkyPDF Pro DriverではなくOfficeアプリケーションの設定が適用されます。 用紙サイズ用紙の向き倍率解像度 ",title:"PDF変換の詳細設定",HTMLFileName:"PDF変換の詳細設定_guid-54e80e11-468d-d466-0c38-49fd2907c051_8.html"},{topicId:"guid-bc21dc78-b5b7-7614-c299-eb1d50542116",body:"アドイン設定ツールSmartWorker「アドイン設定ツール」を使うと、FormPDF MakerでOffice文書に挿入するフォームオブジェクトのデフォルト（初期状態）を設定できます。挿入後、フォームオブジェクトの設定はデフォルトから自由に変更できます。 以下のアドイン設定ツールを起動し、運用に応じた各種設定を行います。 設定の変更を反映するには、Officeアプリケーションの再起動が必要です。 ファイルの場所 （デフォルト）32bit OSの場合 C:\\Program Files\\SKYCOM\\FormPDFMakerAddin 64bit OSの場合 C:\\Program Files (x86)\\SKYCOM\\FormPDFMakerAddin ファイル名SkyPDFAddIn_Setting.exe プレフィックスフォームオブジェクト名の接頭辞テキストフォームオブジェクト内のテキスト内容フォントサイズ自動(FontSizeAuto)プロパティの［フォントサイズ自動］の有効・無効複数行(MultiLine)プロパティの［複数行］の有効・無効複数選択(MultiSelect)選択肢の［複数選択］の有効・無効リストボックス要素リストボックスの選択肢コンボボックス要素コンボボックスの選択肢Word  高さWordで挿入するフォームオブジェクトの高さテキストボックス：指定値リストボックス：指定値の2倍コンボボックス：指定値チェックボックス：指定値の１／２倍ラジオボタン：指定値の１／２倍プッシュボタン：指定値Word  幅Wordで挿入するフォームオブジェクトの幅テキストボックス：指定値リストボックス：指定値コンボボックス：指定値チェックボックス：高さに合わせるラジオボタン：高さに合わせるプッシュボタン：指定値PowerPoint  高さPowerPointで挿入するフォームオブジェクトの高さ（前述のWordと同様）PowerPoint  幅PowerPointで挿入するフォームオブジェクトの幅（前述のWordと同様）フォントフォームオブジェクトのフォント線の色 RGBフォームオブジェクトの枠線の色文字の色 RGBフォームオブジェクトの文字色塗りつぶしの色 RGBフォームオブジェクトの背景色 ",title:"アドイン設定ツール",HTMLFileName:"アドイン設定ツール_guid-bc21dc78-b5b7-7614-c299-eb1d50542116_9.html"},{topicId:"guid-b576a065-230f-0375-73d1-12555a002189",body:"フォーム付PDF変換の実行SmartWorkerFormPDF Makerの「フォーム変換」グループにある［フォーム付PDF］をクリックすると、挿入・設定したオブジェクトをもとに、フォーム付PDFへの変換が行われます。 フォーム付PDF変換の流れフォーム付PDF変換は、基本的に以下のような流れで行います。 オブジェクトの挿入 「フォーム変換」グループの中から追加したいフォームのアイコンをクリックして、フォームオブジェクトを挿入します。 編集（順不同）外観・フォントの変更 フォームオブジェクトの塗りつぶしや枠線などの外観、フォントやその色などを変更できます。サイズ・配置の変更 サイズと配置は、マウスドラッグで自由に変更できます。 また、［配置］や［サイズを合わせる］を使うことともできます。ラジオボタンのグループ化 ラジオボタンの場合、必要に応じてグループ化を行います。プロパティ・選択肢の編集 ［フォーム一覧と編集］からフォームオブジェクトの一覧とプロパティ・選択肢の編集ウィンドウを開き、オブジェクト名の変更や、プロパティや選択肢などの設定を必要に応じて行います。オブジェクト名チェック フォームオブジェクト名が他のオブジェクトと重複していないかチェックします。保存 編集したOfficeファイルを保存します。フォーム付PDF変換 ［フォーム付PDF］アイコンを押して、PDFに変換します。    ",title:"フォーム付PDF変換の実行",HTMLFileName:"フォーム付PDF変換の実行_guid-b576a065-230f-0375-73d1-12555a002189_10.html"},{topicId:"guid-c4f98e01-b80c-6958-8919-c1918fb5da11",body:"オブジェクトの挿入SmartWorkerFormPDF Makerでは、「フォーム変換」グループの中から追加したいフォームのアイコンをクリックして、フォームオブジェクトを挿入します。 Wordのオブジェクト挿入 Wordの場合は、カーソル位置を基準に挿入されます。  表の中にカーソルがあると、正常に挿入できない場合があります。 その場合は、一度表の外に挿入したものを移動して配置してください。Excelのオブジェクト挿入 Excelの場合は、選択されたセルの範囲を基準に挿入されます。  チェックボックスとラジオボタンは、選択範囲におさまるサイズでオブジェクトの高さと幅を揃え、左上に追加されます。  ［リストボックス］または［コンボボックス］の挿入時、選択した範囲に「データの入力規則」の「リスト」が設定されたセルがあれば、「元の値」から選択肢を作成します。  （例）セルに「データの入力規則」の「リスト」を設定します。入力規則を設定したセルが含まれるように、フォームオブジェクトを挿入したい位置を選択します。［FormPDF Maker］タブの「フォーム変換」グループの中から［リストボックス］をクリックします。「データの入力規則」の「元の値」を選択肢としたリストボックスオブジェクトが挿入されます。当該セルに値が設定されていれば、初期値としてオブジェクトに引き継がれます。 セルの外観・フォントはオブジェクトに引き継がれません。オブジェクト挿入後、別途設定してください。PowerPointのオブジェクト挿入 PowerPointの場合は、選択されているボックスの左上に挿入されます。  選択されているボックスが無いときは、表示しているスライドの左上に挿入されます。  ",title:"オブジェクトの挿入",HTMLFileName:"オブジェクトの挿入_guid-c4f98e01-b80c-6958-8919-c1918fb5da11_11.html"},{topicId:"guid-1f60692c-e386-3d80-4f96-42132d15cf90",body:"外観・フォントの変更SmartWorkerFormPDF MakerでOffice文書上に挿入したフォームオブジェクトは、サイズ、色、フォントなどの外観を変更できます。 背景色 Officeの図形の塗りつぶしを設定する機能を使い、フォームオブジェクトに［塗りつぶしの色］を設定すると、フォームフィールドの背景色になります。 塗りつぶしは単色にのみ対応しています。 枠線 背景色と同様に、Officeの図形の枠線機能を使って、枠線の太さ・色、実線/点線を変更できます。 枠線の色は単色にのみ対応しています。太さと色の変更以外は、実線/点線の変更に対応しています。ただし、実線以外はすべて点線として処理されます。 フォント テキストボックス・リストボックス・コンボボックス・プッシュボタンについては、オブジェクト内のテキストのフォント設定を変更することで、フォームフィールドのフォントの種類・サイズ・色を設定できます。 フォントは日本語フォントにのみ対応しています。欧文フォントなど日本語フォント以外を指定すると、デフォルトの「ＭＳ ゴシック」として処理されます。フォントサイズの変更は、プロパティに「フォントサイズ自動」が設定されていない場合のみ有効です。フォントの色は単色にのみ対応しています。英数字用のフォントは、日本語用と同じフォントを指定してください。 文字揃え テキストボックスとプッシュボタンについては、オブジェクト内のテキストの文字揃え（左揃え / 中央揃え / 右揃え）を変更することで、フォームフィールドの文字揃えを設定できます。    ",title:"外観・フォントの変更",HTMLFileName:"外観・フォントの変更_guid-1f60692c-e386-3d80-4f96-42132d15cf90_12.html"},{topicId:"guid-41a7e3c1-6e8d-95e8-783a-f582af3febf6",body:"サイズ・配置の変更SmartWorkerFormPDF MakerでOffice文書上に挿入したフォームオブジェクトは、挿入後にサイズと配置の変更・調整を行います。 サイズと配置は、マウスドラッグで自由に変更できる他、［配置］や［サイズを合わせる］を使うこともできます。  配置 オブジェクトを複数選択すると、［配置］からオブジェクトの配置の変更や整列が可能です。 ［配置］機能はOfficeの機能です。詳細はOfficeのヘルプを確認してください。サイズを合わせる オブジェクトを複数選択すると、［サイズを合わせる］から選択したオブジェクトのサイズを揃えることが可能です。 幅を合わせる最初に選択したオブジェクトの幅に、他のオブジェクトの幅を合わせる。高さを合わせる最初に選択したオブジェクトの高さに、他のオブジェクトの高さを合わせる。幅と高さを合わせる最初に選択したオブジェクトのサイズと、他のオブジェクトのサイズを合わせる。 ",title:"サイズ・配置の変更",HTMLFileName:"サイズ・配置の変更_guid-41a7e3c1-6e8d-95e8-783a-f582af3febf6_13.html"},{topicId:"guid-5352c656-33d1-e10e-0f4a-ffd717ecb1c7",body:"ラジオボタンのグループ化SmartWorkerOffice文書上のオブジェクトを複数選択すると、FormPDF Makerの［グループ化］からオブジェクトのグループ化に関する操作が可能です。 ［グループ化］機能はOfficeの機能です。詳細はOfficeのヘルプを確認してください。 ラジオボタンはグループ化することで、グループ内の選択肢のうち１つのみ選択できるフォームフィールドにすることができます。 （例） ラジオボタン以外のオブジェクトは、グループ化するとPDF変換時にフォームオブジェクトとして認識されません。   ",title:"ラジオボタンのグループ化",HTMLFileName:"ラジオボタンのグループ化_guid-5352c656-33d1-e10e-0f4a-ffd717ecb1c7_14.html"},{topicId:"guid-46890e3a-d574-16d4-93e5-f3b4129b4937",body:"プロパティ・選択肢の編集SmartWorker目次FormPDF MakerでOffice文書上に挿入したフォームオブジェクトに対し、必要に応じて選択肢や初期状態などの設定を行います。 ［フォーム一覧と編集］からフォームオブジェクトのプロパティを表示し、設定項目を確認してください。  ［更新］を押すと、一覧の表示を更新します。［∧］と［∨］は、選択しているフォームオブジェクトの順番を入れ替えます。グループ化されたラジオボタンをコピーし貼り付けた際、オブジェクトの順番を変更できなくなる場合があります。 その場合は、貼り付けで作成したラジオボタンのグループ化を一度解除するか、または、ファイル保存後にファイルを開きなおしてください。テキストボックス ［プロパティ］タブで、下表のプロパティを設定します。 初期値テキストボックスの初期入力値。フォントサイズ自動指定するとフォントサイズを「自動」とする。指定が無い場合のフォントサイズはオブジェクトのフォント設定に従います。複数行複数行入力を可能にする。最大文字数入力値の最大文字数（1～10000）を指定する。マス目で区切る指定した最大文字数分、テキストボックスをマス目状に区切る。読み取り専用読み取り専用のフォームフィールドにする。印刷しない入力内容のみ印刷し、フォームフィールドの外観は印刷対象としない。必須入力必須のフォームフィールドにする。［拡張］タブは、テキストボックスに「拡張属性」情報を持たせるためのプロパティです。 拡張属性とは、一部のSkyPDF製品でのみ有効な当社独自のフォームフィールド属性です。 テキストボックスに対して、入力可能なデータタイプやその入力方法を指定できます。 拡張属性の対応製品 拡張属性を設定して生成されたフォームPDFは、以下の対応製品で表示した際に機能します。 拡張属性付きフォームPDFを対応製品以外で表示した場合は、拡張属性の無いフォームPDFと同様に動作します。 SkyPDF WebViewer（Ver.1.0.2.0以降）SkyPDF Sign for iPad（入力方法の指定のみ）データタイプの指定入力値のデータタイプを指定する。分類入力値のデータタイプの分類を指定する。 文字列 / 数値 / 日付 / カスタム ［詳細］でデータタイプのカスタマイズを行った場合は、［カスタム］が表示されます。スペース入力を禁止する全角スペース・半角スペースの入力を禁止する。種類指定された分類別の入力値の種類を指定する。 分類が［文字列］の場合： 全て / 数字 / 英字 / 英数字 / ひらがな / カタカナ分類が［数値］の場合： 整数 / 小数分類が［日付］の場合： YYYY.MM.DD / YYYY/MM/DD / YYYYMMDD / YYYY.MM / YYYY/MM / YYYYMM / MM.DD / MM/DD / MMDD / YYYY / MM / DD詳細データタイプのカスタマイズを行う。 （参照：データタイプの［詳細］）入力方法の指定テキストボックスへの値の入力方法を指定する。手書き入力しない / 手書き入力する［手書き入力する］を選択すると、テキストボックスへの入力の際に手書き入力（サイン入力）機能を使用する。入力データ［手書き入力する］選択時の入力データを設定する。 指定なし(ビューアー設定に従う) / テキスト / イメージ / パス  データタイプの［詳細］ 種類選択されているデータタイプの種類が表示される。正規表現入力値を正規表現で指定する。 ［拡張］タブでの指定内容に基づいて初期入力されているが、カスタマイズできる。メッセージの補足正規表現をカスタマイズした場合は、正規表現に適合しない値が入力された際のエラーメッセージの一部（～100字）を指定できる。 例：メッセージの補足に「fdから始まる10文字の社員コードを入力してください。」と入力した場合、エラーメッセージは「フォームの入力値と設定されている属性が一致しません。fdから始まる10文字の社員コードを入力してください。」となる。テキストボックスに入力が想定される値テキストボックスの入力値として想定される値を入力し［チェック］をクリックすると、指定した正規表現に適合しているかを確認できる。 結果は「チェック結果」欄に表示される。リストボックス ［プロパティ］タブで、下表のプロパティを設定します。 フォントサイズ自動指定するとフォントサイズを「自動」とする。指定が無い場合のフォントサイズはオブジェクトのフォント設定に従います。読み取り専用読み取り専用のフォームフィールドにする。印刷しない入力内容のみ印刷し、フォームフィールドの外観は印刷対象としない。必須入力必須のフォームフィールドにする。［選択肢］タブで、リストボックスの選択肢を設定します。 なお、Excelの場合は、選択肢をセル範囲で指定することもできます。 項目を指定する 選択肢選択肢として表示される内容。書き出し値フォームデータをCSVやXMLに抽出した際、当該選択肢が選択状態にあるときに出力される値。指定が無い場合、［選択肢］の値が書き出し値となります。選択選択状態を初期状態とする。更新［選択肢］［書き出し値］［選択］の値で、選択している項目の内容を更新する。追加［選択肢］［書き出し値］［選択］の値で、選択肢となる項目を新たに追加する。（項目一覧）リストボックスに選択肢として表示される項目の一覧。削除選択している項目を削除する。∧∨選択している項目の上下を入れ替える。複数選択キーボードの［Ctrl］キーや［Shift］キーを押しながらの複数選択を可能なフォームフィールドにする。範囲を指定する（Excelのみ） 指定範囲が1列の場合、範囲内の値が選択肢となります。 指定範囲が2列以上の場合、1列目が書き出し値、2列目が選択肢となり、3列目以降は無視されます。 （例）=選択肢!$A$1:$A$20 別ファイルの範囲を指定することはできません。オブジェクトの挿入時に選択肢を範囲指定することもできます。（参照：Excelのオブジェクト挿入）［複数選択］をオンにすると、CtrlキーやShiftキーを押しながらの複数選択を可能なフォームフィールドとなります。 初期状態は、オブジェクト内のテキストで指定します。 オブジェクト内のテキストと一致する選択肢が、初期状態で選択状態となります。 （例） Office上でのオブジェクトの外観 PDF変換後のフォームフィールドの外観 コンボボックス ［プロパティ］タブで、下表のプロパティを設定します。 フォントサイズ自動指定するとフォントサイズを「自動」とする。指定が無い場合のフォントサイズはオブジェクトのフォント設定に従います。読み取り専用読み取り専用のフォームフィールドにする。印刷しない入力内容のみ印刷し、フォームフィールドの外観は印刷対象としない。必須入力必須のフォームフィールドにする。［選択肢］タブで、コンボボックスの選択肢を設定します。 なお、Excelの場合は、選択肢をセル範囲で指定することもできます。 項目を指定する 選択肢選択肢として表示される内容。書き出し値フォームデータをCSVやXMLに抽出した際、当該選択肢が選択状態にあるときに出力される値。指定が無い場合、［選択肢］の値が書き出し値となります。選択選択状態を初期状態とする。更新［選択肢］［書き出し値］［選択］の値で、選択している項目の内容を更新する。追加［選択肢］［書き出し値］［選択］の値で、選択肢となる項目を新たに追加する。（項目一覧）コンボボックスに選択肢として表示される項目の一覧。削除選択している項目を削除する。∧∨選択している項目の上下を入れ替える。範囲を指定する（Excelのみ） 指定範囲が1列の場合、範囲内の値が選択肢となります。 指定範囲が2列以上の場合、1列目が書き出し値、2列目が選択肢となり、3列目以降は無視されます。 （例）=選択肢!$A$1:$A$20 別ファイルの範囲を指定することはできません。オブジェクトの挿入時に選択肢を範囲指定することもできます。（参照：Excelのオブジェクト挿入）初期状態は、オブジェクト内のテキストで指定します。 オブジェクト内のテキストと一致する選択肢が、初期状態で選択状態となります。 （例） Office上でのオブジェクトの外観 PDF変換後のフォームフィールドの外観 チェックボックス デフォルトでチェックするチェックボックスの初期状態をオンにする。スタイルチェックボックスのスタイル。 チェックマーク / 円形 / 十字形 / ひし形 / 四角形 / 星形書き出し値フォームデータをCSVやXMLに抽出した際、当該チェックボックスがオンの状態にあるときに出力される値。指定が無い場合、ONが書き出し値となります。読み取り専用読み取り専用のフォームフィールドにする。印刷しない入力内容のみ印刷し、フォームフィールドの外観は印刷対象としない。必須入力必須のフォームフィールドにする。ラジオボタン デフォルトでチェックするラジオボタンの初期状態をオンにする。グループ化されたラジオボタンはすべてオフでも問題ありません。グループ化されたラジオボタンのうち１つのみ［デフォルトでチェックする］を指定できます。同じグループのラジオボタンのうち複数で指定されると、PDF変換時にエラーとなります。スタイルラジオボタンのスタイル。 チェックマーク / 円形 / 十字形 / ひし形 / 四角形 / 星形 書き出し値フォームデータをCSVやXMLに抽出した際、当該ラジオボタンがオンの状態にあるときに出力される値。指定が無い場合、オブジェクト名が書き出し値となります。読み取り専用読み取り専用のフォームフィールドにする。印刷しない入力内容のみ印刷し、フォームフィールドの外観は印刷対象としない。必須入力必須のフォームフィールドにする。プッシュボタン 初期値フォームフィールド内のテキスト。読み取り専用読み取り専用のフォームフィールドにする。印刷しない入力内容のみ印刷し、フォームフィールドの外観は印刷対象としない。プッシュボタンは、設定したアクションを実行するためのフォームフィールドです。本機能ではアクション内容を設定することはできません。 ",title:"プロパティ・選択肢の編集",HTMLFileName:"プロパティ・選択肢の編集_guid-46890e3a-d574-16d4-93e5-f3b4129b4937_15.html"},{topicId:"guid-69532342-557a-7eb8-dd88-f8a357dba63b",body:"オブジェクト名チェックSmartWorkerフォームオブジェクトを配置した後、FormPDF Makerの［オブジェクト名チェック］を押すと、文書内のオブジェクト名に重複がないかをチェックできます。 なお、［フォーム付PDF］アイコンを押してPDF変換を行う際にも、オブジェクト名チェックは自動的に実行されます。 本製品は、同名フィールドがあるフォーム付PDFへの変換や表示・編集に対応していません。 そのため、PDF変換後フィールド名となるオブジェクト名や、グループ化されたラジオボタンのグループ名は重複しないように設定する必要があります。オブジェクト名に重複があると警告が表示されます。  オブジェクト名重複の自動解消を行うと、重複するオブジェクト名のうち［フォーム一覧と編集］の「フォーム一覧」上で上方に位置する一つ以外は、デフォルト（プレフィックス＋数字）に戻されます。  デフォルトのオブジェクト名チェック実行時のオブジェクト名重複の自動解消後のオブジェクト名Wordの例txt_1 txt_2 txt_3 テキスト テキスト テキスト テキスト txt_2 txt_3 Excelの例Sheet1 chk_1 chk_2 Sheet2 txt_1 txt_2 Sheet1 チェック チェック Sheet2 テキスト テキスト Sheet1 チェック chk_2 Sheet2 テキスト txt_2 PowerPointの例スライド番号１ chk_1 chk_2 スライド番号２ txt_1 txt_2 スライド番号２ テキスト テキスト スライド番号１ チェック チェック スライド番号２ テキスト txt_2 スライド番号１ チェック chk_2 デフォルトに戻しても重複する場合は、オブジェクト名に(連番)が付きます。  デフォルトのオブジェクト名チェック実行時のオブジェクト名重複の自動解消後のオブジェクト名Wordの例txt_1 txt_2 chk_3 chk_4 chk_5 txt_2 txt_2 txt_2 chk_3 chk_3 txt_2 txt_2(1) txt_2(2) chk_3 chk_5 Excelの例Sheet1 txt_1 txt_2 Sheet2 txt_1 txt_2 デフォルトのまま変更無し Sheet1 txt_1 txt_2 Sheet2 txt_1(1) txt_2(1) PowerPointの例スライド番号１ txt_1 txt_2 スライド番号２ txt_1 txt_2 デフォルトのまま変更無し スライド番号１ txt_1 txt_2 スライド番号２ txt_1(1) txt_2(1)  ",title:"オブジェクト名チェック",HTMLFileName:"オブジェクト名チェック_guid-69532342-557a-7eb8-dd88-f8a357dba63b_16.html"},{topicId:"guid-9f005900-b9c4-87b0-c09d-30ee3d9ddda6",body:"FormPDF MakerのエラーSmartWorkerFormPDF Makerにおいて、フォーム付PDFへの変換時または変換処理中に、メッセージが表示された場合は、下表の詳細を確認してください。   エラーコードメッセージ内容詳細15PDFファイルの保存に失敗しました。 出力先のPDFファイルが開かれています。 81 フォーム付きPDF作成を中断しました。 PDF変換中ダイアログでキャンセルボタンがクリックされました。 82PDF変換がタイムアウトしました。 設定した接続タイムアウト時間が経過しました。 -1フォーム情報がありません。 フォームオブジェクトにオブジェクト名がありません。 -2選択肢が重複しています。 リストボックス、コンボボックスの選択肢に重複があります。 フォーム名が重複しています。フォームオブジェクト名に重複があります。フォーム名が100文字を超えています。フォームオブジェクト名に100文字を超えているものがあります。項目名が20文字を超えています。チェックボックス、ラジオボタンの書き出し値に、20文字を超えているものがあります。選択肢が存在しません。リストボックス、コンボボックスに選択肢が設定されていません。色のパターンがなくなりました。フォームオブジェクトが多いと、変換中に発生することがあります。位置を特定できなかったフォームがあります。フォームオブジェクトに他のオブジェクト（画像、図形など）が重なっているなど、オブジェクトの位置に問題があります。41サーバ上でエラーが発生しました。 変換ライブラリで例外が発生しました。 0x80040343指定された選択肢が不正です。 リストボックス、コンボボックスの選択肢に不正があります。 0x80040357チェックオン時の名称が指定が不正です。 グループ化されたラジオボタンのオブジェクト名に重複があります。 0x8004034Bラジオボタンを追加する場合、複数のチェックオン指定はできません。 グループ化されたラジオボタンのうち、複数が初期状態をオンに指定されています。グループ化されたラジオボタンは、オンにできるのは１つだけです。  ",title:"FormPDF Makerのエラー",HTMLFileName:"FormPDF Makerのエラー_guid-9f005900-b9c4-87b0-c09d-30ee3d9ddda6_17.html"},{topicId:"guid-49b579f1-9d44-b0d9-c130-ecebed48fb5e",body:"FormPDF Makerの制限・注意事項SmartWorkerFormPDF Makerのご利用に際しては、以下の制限事項・注意事項にご注意ください。  パスワード付き文書について読み取りパスワード付きのOffice文書のPDF変換と、書き込みパスワード付きのPowerPoint文書は、PDF変換できません。  表示状態についてOffice文書が［保護されたビュー］で開かれている場合は、PDF変換ができません。 保護されたビュー：安全でない可能性のある場所にあるOfficeファイルを開く際に、コンピュータを保護するための表示で、ほとんどの編集機能が無効化されている。  リンク/しおり機能について以下がリンク付与機能の対象となります。それ以外のリンクは正常に付与されません。 Word：目次のリンク、テキスト PowerPoint：図形、線、画像、テキスト、テキストボックスのリンクWordの目次リンク付き文書にてページ削除を行うと、目次が不正確になる場合があります。 対応ファイルについて本機能でPDF変換が可能なファイルの拡張子は、使用するPDF変換ドライバーの機能に準拠します。  ファイルサイズの上限について変換対象のOffice文書のサイズ上限は、50MBです。  SkyPDF Pro Driverの設定についてタイムスタンプ タイムスタンプを設定していても、フォーム付PDF変換時には適用されません。規格 規格は［なし］を設定してください。規格を設定してフォーム付PDFに変換した場合、どの規格にも準拠しないPDFとなります。画像出力 ［画像PDF出力］を行う場合は、画像にするPDFの範囲を［すべて］に設定してください。 変換元であるOffice文書と出力されるページ数が異なると、正しくPDF変換できないことがあります。 ファイル名の取得についてFormPDF Makerは処理中、一時フォルダーに別名で一時ファイルを作成し、PDF変換を行います。 そのため、変換元であるOffice文書上に、Officeの機能（Wordのフィールド機能やExcelの関数など）を使ってフォルダー名やファイル名を取得し処理・表示する箇所がある場合、一時フォルダー名や一時ファイル名が適用され、変換後のPDF上では正しく処理・表示できていないことがあります。  フォームフィールドの誤配置について文書内にある画像や写真の一部がフォームオブジェクトであると誤認知され、フォームフィールドが誤った位置に配置されてしまうことがあります。 もう一度PDF変換を実行すると、改善される場合があります。 改善しない場合は、誤認知される画像や写真を削除してください。  複数ファイルの編集についてFormPDF Makerでフォーム付PDFを作成するときは、１ファイルずつ作成してください。 複数のOfficeファイルを開いてフォームオブジェクトの編集作業を行うと、プロパティが意図せず連動してしまうことがあります。    ",title:"FormPDF Makerの制限・注意事項",HTMLFileName:"FormPDF Makerの制限・注意事項_guid-49b579f1-9d44-b0d9-c130-ecebed48fb5e_18.html"}]